Name:           mediawriter
Version:        4.0.4
Release:        0%{?dist}
Summary:        Fedora Media Writer

License:        GPLv2+
URL:            https://github.com/MartinBriza/MediaWriter
Source0:        https://github.com/MartinBriza/MediaWriter/archive/%{version}.tar.gz

Provides:       liveusb-creator = %{version}-%{release}
Obsoletes:      liveusb-creator <= 3.95.4-2

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  gcc-c++

Requires:       qt5-qtbase%{?_isa}
Requires:       qt5-qtquickcontrols%{?_isa} >= 5.3.0
Requires:       polkit%{?_isa}
%if 0%{?fedora} && 0%{?fedora} < 25
Requires: udisks2%{?_isa}
%else
Requires: storaged%{?_isa}
%endif


%description
A tool to write images of Fedora media to portable drives
like flash drives or memory cards.

%prep
%autosetup -p1 -n MediaWriter-%{version}
mkdir %{_target_platform}

%build
pushd %{_target_platform}
%{qmake_qt5} PREFIX=%{_prefix} MEDIAWRITER_VERSION=%{version}-%{release} ..
popd
%make_build -C %{_target_platform}

%install
make install INSTALL_ROOT=%{buildroot} -C %{_target_platform}

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%{_datadir}/icons/hicolor/512x512/apps/%{name}.png


%changelog
* Fri Nov 11 2016 Martin Bříza <mbriza@redhat.com> 4.0.4-0
- Update to 4.0.4

* Wed Nov 02 2016 Martin Bříza <mbriza@redhat.com> 4.0.3-0
- Update to 4.0.2

* Wed Nov 02 2016 Martin Bříza <mbriza@redhat.com> 4.0.1-0
- Update to 4.0.1

* Mon Oct 31 2016 Martin Bříza <mbriza@redhat.com> 4.0.0-2
- Don't forget to update the icon cache

* Mon Oct 31 2016 Martin Bříza <mbriza@redhat.com> 4.0.0-1
- Make mediawriter obsolete the liveusb-creator package

* Mon Oct 31 2016 Martin Bříza <mbriza@redhat.com> 4.0.0-0
- Update to 4.0.0

* Tue Oct 11 2016 Martin Bříza <mbriza@redhat.com> 3.97.2-0
- Update to 3.97.2

* Fri Sep 23 2016 Martin Bříza <mbriza@redhat.com> 3.97.1-0
- Update to 3.97.1

* Thu Sep 22 2016 Martin Bříza <mbriza@redhat.com> 3.97.0-0
- Update to 3.97.0

* Fri Sep 16 2016 Martin Bříza <mbriza@redhat.com> 3.96.0-0
- Update to 3.96.0

* Wed Aug 10 2016 Martin Bříza <mbriza@redhat.com> 0-1.1git728a879
- Fixed MOC errors when compiling on F25 and above

* Tue Aug 9 2016 Martin Bříza <mbriza@redhat.com> 0-0.2git0049ab3
- Fixed a package name

* Tue Aug 9 2016 Martin Bříza <mbriza@redhat.com> 0-0.1git0049ab3
- Initial release
